incubator-ambari-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guo Leitao <leitao....@gmail.com>
Subject Re: openssl.so: undefined symbol: d2i_ECPKParameters (LoadError)
Date Thu, 15 Aug 2013 14:25:20 GMT
the same version of openssl

>>rpm -qa openssl
openssl-1.0.0-27.el6_4.2.x86_64


2013/8/15 Sumit Mohanty <smohanty@hortonworks.com>

> What is the version of openssl installed on the machine?
>
> On one of my Centos 6.4 machines:
>
> rpm -qa openssl
> openssl-1.0.0-27.el6_4.2.x86_64
>
> From: Guo Leitao <leitao.guo@gmail.com>
> Reply-To: <ambari-user@incubator.apache.org>
> Date: Thursday, August 15, 2013 5:13 AM
> To: <ambari-user@incubator.apache.org>
> Subject: openssl.so: undefined symbol: d2i_ECPKParameters (LoadError)
>
> I am new to ambari, sorry for asking this questions.
>
> I checked out code from trunk today, build and install is ok.
>
> After ambari-server and agent start, I try to install HDFS through web,
> but always get  'openssl.so: undefined symbol: d2i_ECPKParameters
> (LoadError)'.
>
> OS: CentOS release 6.3 (Final)
> Linux compute-34-08.local 2.6.32-279.el6.x86_64 #1 SMP Fri Jun 22 12:19:21
> UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
>
> /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/defaults.rb:75: warning: Insecure world
writable dir /data1 in PATH, mode 040757
> /usr/lib/ambari-agent/lib/ruby-1.8.7-p370/lib/ruby/1.8/x86_64-linux/openssl.so: /usr/lib/ambari-agent/lib/ruby-1.8.7-p370/lib/ruby/1.8/x86_64-linux/openssl.so:
undefined symbol: d2i_ECPKParameters - /usr/lib/ambari-agent/lib/ruby-1.8.7-p370/lib/ruby/1.8/x86_64-linux/openssl.so
(LoadError)
> 	from /usr/lib/ambari-agent/lib/ruby-1.8.7-p370/lib/ruby/1.8/openssl.rb:17
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/ssl.rb:3:in `require'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/ssl.rb:3
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet.rb:155:in `require'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet.rb:155
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/application.rb:271:in `require'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/application.rb:271:in `initialize'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/util/command_line.rb:60:in `new'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/lib/puppet/util/command_line.rb:60:in `execute'
> 	from /usr/lib/ambari-agent/lib/puppet-2.7.9/bin/puppet:4
>
>
> Leitao
>
> CONFIDENTIALITY NOTICE
> NOTICE: This message is intended for the use of the individual or entity
> to which it is addressed and may contain information that is confidential,
> privileged and exempt from disclosure under applicable law. If the reader
> of this message is not the intended recipient, you are hereby notified that
> any printing, copying, dissemination, distribution, disclosure or
> forwarding of this communication is strictly prohibited. If you have
> received this communication in error, please contact the sender immediately
> and delete it from your system. Thank You.

Mime
View raw message